import axios from 'axios'
const domainName = location.host// 域名+端口
const protocolName = document.location.protocol// http协议
const path = process.env.NODE_ENV === 'production' ? protocolName + '//' + domainName + '/service' : '/service'
axios.defaults.baseURL = path
axios.defaults.withCredentials = true;
axios.defaults.headers.post['Content-Type'] = 'application/json;charset=UTF-8'
// post请求
export function post(url, data = {}) {
  url = path + url
  return new Promise((resolve, reject) => {
    axios({
      method: 'post',
      url,
      data
    })
      .then(res => {
        resolve(res.data)
      })
      .catch(err => {
        reject(err)
      })
  })
}
// get请求
export function get(url, data = {}) {
  url = path + url
  return new Promise((resolve, reject) => {
    axios({
      method: 'get',
      url,
      data
    })
      .then(res => {
        resolve(res.data)
      })
      .catch(err => {
        reject(err)
      })
  })
}
