module.exports = {
  publicPath: process.env.NODE_ENV === 'production' ? '/specimenView/' : '/',
  outputDir: 'dist/specimenView',
  productionSourceMap: false,
  devServer: {
    open: false, // 是否自动弹出浏览器页面
    host: 'localhost',
    port: '8888',
    https: false, // 是否使用https协议
    hotOnly: true, // 是否开启热更新
    proxy: {
      '/service': {
        target: 'http://zzzx.xyszxyy.com:8087', // API服务器的地址
        ws: true, // 代理websockets
        changeOrigin: true, // 虚拟的站点需要更管origin
        pathRewrite: {
          '^/service': ''
        }
      }
    }
  }
}
